import { createRouter, createWebHistory } from 'vue-router'

const routes = [
  {
    path: '/',
    name: 'Maps',
    component: () => import('../views/Maps.vue')
  },
  {
    path: '/weekly',
    name: 'WeeklyRecommend',
    component: () => import('../views/WeeklyRecommend.vue')
  },
  {
    path: '/map/:id',
    name: 'MapDetail',
    component: () => import('../views/MapDetail.vue')
  },
  {
    path: '/weapon-match',
    name: 'WeaponMatch',
    component: () => import('../views/WeaponMatch.vue') 
  }
]

const router = createRouter({
  history: createWebHistory(),
  routes
})

export default router 